/* Programme d'installation de Mots crois‚s */

/* Charge en m‚moire Rexxutil */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs	

/* Cr‚ation des diff‚rents objets */
test = 1
curdir = directory()
say curdir


Say "Cr‚ation des objets du programme"
Say ""	
rc = SysCreateObject("WPFolder","Mots-crois‚s pour OS/2","<WP_DESKTOP>", "OBJECTID=<Mots-crois‚s pour OS/2>","replace")
	if rc = 0 then 
		do
		say "La cr‚ation de l'objet ->  Mots-crois‚s pour OS/2, … echou‚."
		test = 0
		end
		else
			say "La cr‚ation de l'objet ->  Mots-crois‚s pour OS/2, … r‚ussi."

rc = SysSetIcon("mots.exe","mots.ico")
	if rc = 0 then 
		do
		say "L'association de l'ic“ne, mots.ico … l'objet ->  mots.exe, … echou‚."
		test = 0
		end
		else
			say "L'association de l'ic“ne mots.ico … l'objet ->  mots.exe, … r‚ussi."


rc = SysCreateObject("WPProgram", "Mots-crois‚s pour OS/2", "<Mots-crois‚s pour OS/2>", "EXENAME = "curdir"\mots.exe ;" ,"replace")
	if rc = 0 then 
		do
		say "La cr‚ation de l'objet programme ->  Mots-crois‚s pour OS/2, … echou‚."
		test = 0
		end
		else
			say "La cr‚ation de l'objet programme ->  Mots-crois‚s pour OS/2, … r‚ussi."
	

rc = SysCreateShadow(curdir"\Importation", "<Mots-crois‚s pour OS/2>" ,"replace")
	if rc = 0 then 
		do
		say "La cr‚ation du double du dossier Importation, … echou‚."
		test = 0
		end
		else
			say "La cr‚ation du double du dossier Importation, … r‚ussi."


rc =SysCreateShadow(curdir"\Exportation", "<Mots-crois‚s pour OS/2>" ,"replace")
	if rc = 0 then 
		do
		say "La cr‚ation du double du dossier Exportation, … echou‚."
		test = 0
		end
		else
			say "La cr‚ation du double du dossier Exportation, … r‚ussi."

Say ""
if test = 1 then
	do
	Say "Installation termin‚!"
	end
else
	do
	Say "Installation incomplete"
	end

